Package org.eclipse.rdf4j.sail.shacl

## Enum ShaclSail.TransactionSettings.ValidationApproach

- java.lang.Object
- - java.lang.Enum<ShaclSail.TransactionSettings.ValidationApproach>
  - - org.eclipse.rdf4j.sail.shacl.ShaclSail.TransactionSettings.ValidationApproach

- All Implemented Interfaces:
    `Serializable`, `Comparable<ShaclSail.TransactionSettings.ValidationApproach>`, `TransactionSetting`
  Enclosing class:
    ShaclSail.TransactionSettings

      public static enum ShaclSail.TransactionSettings.ValidationApproach
      extends Enum<ShaclSail.TransactionSettings.ValidationApproach>
      implements TransactionSetting

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Auto` | Let the SHACL engine decide on the best approach for validating.
    `Bulk` | Use a validation approach that is optimized for bulk operations such as adding or removing large amounts of data.
    `Disabled` | Do not run any validation.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ShaclSail.TransactionSettings.ValidationApproach` | `getHighestPriority​(ShaclSail.TransactionSettings.ValidationApproach v1, ShaclSail.TransactionSettings.ValidationApproach v2)` |
    `String` | `getName()` | The globally unique transaction settings name.
    `String` | `getValue()` | The value for this transaction setting.
    `static ShaclSail.TransactionSettings.ValidationApproach` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ShaclSail.TransactionSettings.ValidationApproach[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Disabled

          public static final ShaclSail.TransactionSettings.ValidationApproach Disabled

      Do not run any validation. This could potentially lead to your database becoming invalid.

    - #### Bulk

          public static final ShaclSail.TransactionSettings.ValidationApproach Bulk

      Use a validation approach that is optimized for bulk operations such as adding or removing large amounts of data. This will automatically disable parallel validation and turn off caching. Add performance hints to enable parallel validation or caching if you have enough resources (RAM).

    - #### Auto

          public static final ShaclSail.TransactionSettings.ValidationApproach Auto

      Let the SHACL engine decide on the best approach for validating. This typically means that it will use transactional validation except when changing the SHACL Shape.

  - ### Method Detail

    - #### values

          public static ShaclSail.TransactionSettings.ValidationApproach[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShaclSail.TransactionSettings.ValidationApproach c : ShaclSail.TransactionSettings.ValidationApproach.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShaclSail.TransactionSettings.ValidationApproach valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Description copied from interface: `TransactionSetting`
      The globally unique transaction settings name. Warning: do not use double underscore (__) in the name.
      Specified by:
        `getName` in interface `TransactionSetting`
      Returns:
        the name of this setting, typically its canonical class name

    - #### getValue

          public String getValue()

      Description copied from interface: `TransactionSetting`
      The value for this transaction setting.
      Specified by:
        `getValue` in interface `TransactionSetting`
      Returns:
        a string representation of the value

    - #### getHighestPriority

          public static ShaclSail.TransactionSettings.ValidationApproach getHighestPriority​(ShaclSail.TransactionSettings.ValidationApproach v1,
                                                                                            ShaclSail.TransactionSettings.ValidationApproach v2)